Loading...
Searching...
No Matches
Zp_field_shared.h File Reference

Contains the Gudhi::persistence_fields::Shared_Zp_field_element class. More...

Go to the source code of this file.

## Classes

class | Gudhi::persistence_fields::Shared_Zp_field_element< Unsigned_integer_type, class >

Class representing an element of the \( \mathbb{F}_p \) field for any prime number \( p \). If each instantiation of the class can represent another element, they all share the same characteristics. That is if the characteristics are set for one, they will be set for all the others. The characteristics can be set before instantiating the elements with the static Shared_Zp_field_element::initialize method. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_fields
| Field namespace.

## Detailed Description

Contains the Gudhi::persistence_fields::Shared_Zp_field_element class.

Author
  Hannah Schreiber